Debian Bug report logs - #295064
dhcp3-client: Patch to let dhclient exit w/o releasing its lease and still run the script

version graph

Package: dhcp3-client; Maintainer for dhcp3-client is Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>;

Reported by: Joachim Nilsson <joachim.nilsson@member.fsf.org>

Date: Sun, 13 Feb 2005 12:18:01 UTC

Severity: wishlist

Tags: patch

Merged with 247812

Found in versions 3.0+3.0.1rc13-1, 3.0.1-1, dhcp3/3.0.1-2

Fixed in version 4.0.0

Done: Andrew Pollock <apollock@debian.org>

Bug is archived. No further changes may be made.

Forwarded to "dhcp-bugs at isc.org"

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, peloy@debian.org (Eloy A. Paris):
Bug#295064; Package dhcp3-client. Full text and rfc822 format available.

Acknowledgement sent to Joachim Nilsson <joachim.nilsson@member.fsf.org>:
New Bug report received and forwarded. Copy sent to peloy@debian.org (Eloy A. Paris). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joachim Nilsson <joachim.nilsson@member.fsf.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dhcp3-client: Patch to let dhclient exit w/o releasing its lease and still run the script
Date: Sun, 13 Feb 2005 13:00:58 +0100
[Message part 1 (text/plain, inline)]
Package: dhcp3-client
Version: 3.0.1-1
Severity: wishlist
Tags: patch

This is a patch to allow dhclient3 to eXit gracefully without releasing
its current lease and still run the dhclient-script with reason=STOP.

The main reason for this patch is #246621 and its sibling #196865.

Regards
 /Jocke

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.10-1-k7
Locale: LANG=en_US.ISO-8859-15, LC_CTYPE=en_US.ISO-8859-15 (charmap=ISO-8859-15)

Versions of packages dhcp3-client depends on:
ii  debconf                     1.4.30.11    Debian configuration management sy
ii  debianutils                 2.8.4        Miscellaneous utilities specific t
ii  dhcp3-common                3.0.1-1      Common files used by all the dhcp3
ii  libc6                       2.3.2.ds1-20 GNU C Library: Shared libraries an
[patch-dhclient-to-just-exit.diff (text/x-c, attachment)]

Merged 247812 295064. Request was from Thomas Hood <jdthood@aglu.demon.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Joachim Nilsson <joachim.nilsson@member.fsf.org>, Thomas Hood <jdthood@yahoo.co.uk>, Ron Murray <rjmx@rjmx.net>, peloy@debian.org (Eloy A. Paris):
Bug#295064; Package dhcp3-client. Full text and rfc822 format available.

Acknowledgement sent to Tomas Pospisek <tpo_deb@sourcepole.ch>:
Extra info received and forwarded to list. Copy sent to Joachim Nilsson <joachim.nilsson@member.fsf.org>, Thomas Hood <jdthood@yahoo.co.uk>, Ron Murray <rjmx@rjmx.net>, peloy@debian.org (Eloy A. Paris). Full text and rfc822 format available.

Message #12 received at 295064@bugs.debian.org (full text, mbox):

From: Tomas Pospisek <tpo_deb@sourcepole.ch>
To: Debian Bug Tracking System <295064@bugs.debian.org>
Subject: Further action on DHCPRELEASE problem?
Date: Fri, 17 Nov 2006 11:12:24 +0100
Package: dhcp3-client
Version: 3.0.1-2
Followup-For: Bug #295064

Got bitten by this as well.

There are two problems here.

* One is that ifupdown has hardcoded options, that it passes to the dhcp
  clients. It uses the '-e' option when starting dhclient2, which is
  exactly the contrary of the needed behaveour in the problemspace at hand
  here and it stops dhclient3 with -r which will release the current IP
  address at reboot, which is also the wrong behaveour here. So, rock or
  a hard place?
  Ummh.. the design of ifupdown wrt using immutable hardcoded options is
  not sound.

* The second is the here discussed behaveour of dhcp3-client with
  respect to '-r'. The report is 1.5 year old by now and the problem is
  real. Would it be possible to move on with this problem and apply the
  patch? Should the original reporters try to push the patch upstream?
  What's the course of action?

Current behaveour is suboptimal, some action would be nice here.
*t


-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Kernel: Linux 2.4.27-2-386
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages dhcp3-client depends on:
ii  debconf               1.4.30.13          Debian configuration management sy
ii  debianutils           2.8.4              Miscellaneous utilities specific t
ii  dhcp3-common          3.0.1-2            Common files used by all the dhcp3
ii  libc6                 2.3.2.ds1-22sarge3 GNU C Library: Shared libraries an

-- no debconf information



Noted your statement that Bug has been forwarded to "dhcp-bugs at isc.org". Request was from tpo@sourcepole.ch to control@bugs.debian.org. (Mon, 19 Mar 2007 14:09:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, peloy@debian.org (Eloy A. Paris):
Bug#295064; Package dhcp3-client. Full text and rfc822 format available.

Acknowledgement sent to "Tomas Pospisek" <tpo@sourcepole.ch>:
Extra info received and forwarded to list. Copy sent to peloy@debian.org (Eloy A. Paris). Full text and rfc822 format available.

Message #19 received at 295064@bugs.debian.org (full text, mbox):

From: "Tomas Pospisek" <tpo@sourcepole.ch>
To: apollock@debian.org
Cc: 415431@bugs.debian.org, 295064@bugs.debian.org, 247812@bugs.debian.org, 246621@bugs.debian.org
Subject: Re: Bug#415431: debian/patches ported to current 3.1.0a3 alpha release plus #295056 patch
Date: Mon, 14 Jan 2008 11:15:38 +0000
Hello Andrew,

On 1/14/2008, "Andrew Pollock" <apollock@debian.org> wrote:

>On Mon, Mar 19, 2007 at 02:32:33PM +0100, Tomas Pospisek wrote:
>> Package: dhcp3-client
>> Version: 3.1.0a3-1~tpo
>> Severity: wishlist
>> Tags: patch
>> 
>> Attached is Debian's ./dhcp3_3.0.4-13.diff.gz ported against the current
>> dhcp alpha release 3.1.0a3, and with the patch from #295056 that 
>> allows gracefully shutting down dhclient without releasing the IP.
>
>#295056 isn't a dhcp3-related bug. The released 3.1.0 allegedly supports
>a -x option to shut down dhclient without releasing the IP.

Oh, my bad. I was really referring to #295064, I apologize. I have
submitted the patch from #295064 upstream and it was integrated. So...

>> The idea here is twofold. For one porting the Debian patch to the
>> upcoming 3.1.0 release will make it easier for the maintainer once the
>> release is out. And having the patch from #295056 ported makes it
>> a) easier to test it, whether it works and hopefully facilitates
>> adoption, since, as described in the bug report, the current behaveour
>> is most annoying.
>> 
>> I have resent all the Debian patches including #295056 upstream, 
>> except for the very Debian specific stuff.
>
>With the upload of 3.1.0-1 to unstable, I'm thinking this bug can be 
>closed now, but I just want to check.

.. yes, it should be possible to close it along with #295064 and #247812
with the upload of 3.1.0. It'd be nice to let #246621 know about the
upload too once it's done.

Thanks for your dhcp support in Debian Andrew!
*t




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 27 May 2012 07:34:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:10:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.